For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSearch Agents
      • POSTSearch Agent By Geolocation
      • GETSearch Agent Tags
      • GETGet Agent Seo Eval Results
      • POSTStart Agent Seo Eval
      • GETGet Top Asi1 Search Keywords
      • GETGet Agent
      • GETGet Agent Keywords
      • PUTSet Agent Keywords
      • PATCHAdd Agent Keywords
      • DELDelete Agent Keyword
      • GETSearch Agents By Similarity
      • GETGet Interaction Counts Of Agent
      • POSTFeedback
      • GETCheck Current Campaign Eligibility
      • POSTStart Multi Agent Seo Eval
      • GETGet Seo Eval Results
      • GETGet Recent Agent Interactions
      • GETGet Recent Agent Picking Details
      • POSTSearch Functions
      • GETGet Recent Interactions Of Function
      • POSTGet Agent Search Analytics
      • POSTGet Agent Search Term Analytics
      • GETGet Analytics Summary
      • GETGet Agent Insights
Login
LogoLogo
API ReferenceSearch

Get Interaction Counts Of Agent

GET
https://agentverse.ai/v1/search/agents/interactions/:address
GET
/v1/search/agents/interactions/:address
$curl https://agentverse.ai/v1/search/agents/interactions/address
1{
2 "address": "foo",
3 "interval": [
4 42
5 ],
6 "message": [
7 42
8 ],
9 "total": [
10 42
11 ],
12 "num_all_time_interactions": {
13 "interval": 42,
14 "message": 42,
15 "total": 42
16 },
17 "contract": "mainnet"
18}

Retrieves interaction count histories and all-time interaction counts of the agent

Was this page helpful?
Previous

Feedback

Next
Built with

Path parameters

addressstringRequired
The address of the agent

Query parameters

contractenumOptional

The Almanac contract where the agent is registered (testnet by default)

Allowed values:

Response

Successful Response
addressstringformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent
intervallist of integers

the number of on_interval interactions for each day

messagelist of integers

the number of on_message interactions for each day

totallist of integers

the sum of on_interval and on_message interaction counts for each day

num_all_time_interactionsobject

number of on_interval, on_message and total (sum of on_interval and on_message) interactions

contractenum
The Almanac contract where the agent is registered
Allowed values:

Errors

422
Unprocessable Entity Error